Skip to main content

Zapier Subscribe

POST

https://app.pipelineprotools.com/api/extern/zapier/subscribe?api_key={api_key}

Configures a PPT-Zapier integration to send triggers to a specificed zapier webhook (e.g. 'new_lead' trigger).

Query Parameters

  • api_key (string) - PPT-Zapier integration API key

Request Body

  • hookUrl (string) - Zapier webhook URL

Response

Returns a JSON object with the following fields:

  • ok (boolean) - Success status
  • msg (string) - Response message

Status Codes

  • 200 - Success
  • 401 - Invalid or not found integration
  • 422 - Missing required parameters

Example Request

API_KEY="your_api_key_here"
curl -X POST "https://app.pipelineprotools.com/api/extern/zapier/subscribe?api_key=$API_KEY" \
-H "Content-Type: application/json" \
-d '{"hookUrl": "https://hooks.zapier.com/hooks/catch/your-hook-url"}'

Sample Response

{
"ok": true,
"msg": "success"
}